Loading...
Searching...
No Matches
Vector.h File Reference
`#include <RDGeneral/export.h>`
`#include <RDGeneral/Invariant.h>`
`#include <RDGeneral/utils.h>`
`#include <cmath>`
`#include <iostream>`
`#include <iomanip>`
`#include <cstdlib>`
`#include <cstring>`
`#include <ctime>`
`#include <boost/random.hpp>`
`#include <boost/smart_ptr.hpp>`

Go to the source code of this file.

## Classes

class | RDNumeric::Vector< TYPE >
| A class to represent vectors of numbers. More...

## Namespaces

namespace | RDNumeric

## Typedefs

typedef Vector< double > | RDNumeric::DoubleVector

## Functions

template<typename T>
double | RDNumeric::TanimotoSimilarity (const Vector< T > &v1, const Vector< T > &v2)
| returns the algebraic tanimoto similarity [defn' from JCIM 46:587-96 (2006)]
template<typename TYPE>
std::ostream & | operator<< (std::ostream &target, const RDNumeric::Vector< TYPE > &vec)
| ostream operator for Vectors

## Variables

static constexpr double | zero_tolerance = 1.e-16

## Function Documentation

## operator<<()

template<typename TYPE>

std::ostream & operator<< | ( | std::ostream & | target,
|  | const RDNumeric::Vector< TYPE > & | vec )

ostream operator for Vectors

Definition at line 320 of file Vector.h.

References RDNumeric::Vector< TYPE >::getVal(), and RDNumeric::Vector< TYPE >::size().

## Variable Documentation

## zero_tolerance

double zero_tolerance = 1.e-16

static constexpr

Definition at line 25 of file Vector.h.

Referenced by RDGeom::Point2D::normalize(), RDGeom::Point3D::normalize(), RDNumeric::Vector< double >::normalize(), RDGeom::Point2D::signedAngleTo(), and RDGeom::Point3D::signedAngleTo().